#
# spec file for package xlogin
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xlogin
Requires:       textutils
BuildRequires:  imake
Version:        0.2
Release:        223.3
Summary:        xlogin, xtelnet
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
Source:         xlogin-0.2.tar.gz
Patch0:         xlogin-0.2.dif
Patch1:         xlogin-0.2-fix-bashisms.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains two scripts, which, called with the name of a
remote host, will open an xterm window on the local X display with a
remote session or login shell.

The script xlogin starts by a rsh call (remote shell) an xterm on the
remote host.  If necessary, the access will be allowed by sending the
magic key (cookie) of the display to the remote host.

The script xtelnet starts a local xterm with a telnet session on the
remote host.

%prep
%setup
%patch -P 0
%patch -P 1 -p1
  xmkmf

%build

%install
  make DESTDIR=$RPM_BUILD_ROOT install
  make DESTDIR=$RPM_BUILD_ROOT install.man

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Nov 18 2014 Led <ledest@gmail.com>
- fix bashisms in xtelnet script:
  option '-e' of 'echo' command may be unsupported in other
  POSIX-complete shells
- add patches:
  * xlogin-0.2-fix-bashisms.patch
* Sun Nov  2 2014 crrodriguez@opensuse.org
- This package oinly buildRequires imake, not xorg-x11-devel
  it is also, a noarch package.
* Mon Aug 21 2006 werner@suse.de
- Make it work with X.org 7.1
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Jun  3 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Sep 12 2001 werner@suse.de
- Do not use -n if rsh is used within a pipe
* Fri Mar  9 2001 ro@suse.de
- added xf86
* Fri Dec 15 2000 kukuk@suse.de
- fix requires
* Tue Dec 12 2000 werner@suse.de
- Make ssh work proper
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 22 1997 werner@suse.de
- Erstellung der Sourcen und des Paketes
  * xlogin: Skript zum Start eines remoten xterms
    auf dem lokalen Display.
  * xtelnet: Skript zum Start eines lolkalen xterms
    mit einer telnet-Session auf dem lokalen Display.
